Skip to main content
PUT
Replace exclusive sponsored brand campaign bids.

Autorisierungen

Authorization
string
header
erforderlich

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Pfadparameter

campaign_id
string<uuid>
erforderlich

The ID of the campaign.

Abfrageparameter

vendor_id
string
erforderlich

The ID of the vendor.

Minimum string length: 1

Body

application/json

Request body for replacing public exclusive sponsored brand bids.

bids
PublicCreateSponsoredBrandBid · object[]
erforderlich

An array of bids for this campaign.

Required array length: 1 - 500 elements
slotId
string
erforderlich

The external slot ID where the exclusive sponsored brand campaign is shown.

Minimum string length: 1
content
Content · object
erforderlich

Dynamic content validated against the slot's JSON template.

position
integer | null

The rank the ad will have in the auction. Omit it to keep the campaign's current rank.

Erforderlicher Bereich: 1 <= x <= 20

Antwort

Successful Response